Bug 226458 - Merge Review: system-config-keyboard [NEEDINFO]
Merge Review: system-config-keyboard
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 16:05 EST by Nobody's working on this, feel free to take it
Modified: 2016-12-20 07:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:00:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: needinfo? (lkundrak)


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 16:05:06 EST
Fedora Merge Review: system-config-keyboard

http://cvs.fedora.redhat.com/viewcvs/devel/system-config-keyboard/
Initial Owner: pnasrat@redhat.com
Comment 1 Kevin Fenzi 2007-03-21 22:34:54 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
See below - Sources match upstream md5sum:
OK - Package needs ExcludeArch
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
See below - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
See below - Package has rm -rf RPM_BUILD_ROOT at top of %install
OK - Package is a GUI app and has a .desktop file
OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
See below - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version
11 outstanding bugs - check for outstanding bugs on package.

Issues:

1. Some of the translation files say:
po/lt.po:# This file is distributed under the same license as the PACKAGE package.
Would be nice to say "system-config-date" there instead of PACKAGE?

2. Since redhat/fedora is upstream for this package, can you add
a note as suggested in:
http://www.fedoraproject.org/wiki/Packaging/SourceURL#head-413e1c297803cfa9de0cc4c56f3ac384bff5dc9e

3. Please use one of the preferred buildroots, such as:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

4. The desktop file is missing a valid Main Category, see:
http://standards.freedesktop.org/menu-spec/latest/apa.html
Suggest: System or Settings be added.
Without this, this tool shows up under a "Other" menu in Xfce.

5. Is the "ExclusiveOS: Linux" line needed?

6. Should add a
rm -rf $RPM_BUILD_ROOT
to the top of the %install section.

7. The URL points to a 404 page. Is there some better URL it could point to?

8. 11 outstanding bugs. Some look packaging related. For example:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=177301
Could be fixed by adding "Requires: newt kudzu"

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=231366
Could be fixed by removing "Requires: firstboot"

Are there any other Requires that should be adjusted?

9. Are these build warnings something to be fixed?

NOTICE: po//ku.po is not in UTF-8 but ASCII, converting...
NOTICE: po//sq.po is not in UTF-8 but ASCII, converting...
NOTICE: po//si.po is not in UTF-8 but ASCII, converting...
NOTICE: po//he.po is not in UTF-8 but ASCII, converting...

msgfmt --statistics --verbose -o bs.mo bs.po
3 translated messages, 1 fuzzy translation, 8 untranslated messages.
msgfmt --statistics --verbose -o he.mo he.po
0 translated messages, 12 untranslated messages.
msgfmt --statistics --verbose -o hy.mo hy.po
0 translated messages, 12 untranslated messages.
msgfmt --statistics --verbose -o kn.mo kn.po
0 translated messages, 12 untranslated messages.
msgfmt --statistics --verbose -o ku.mo ku.po
0 translated messages, 12 untranslated messages.
msgfmt --statistics --verbose -o lo.mo lo.po
0 translated messages, 12 untranslated messages.
msgfmt --statistics --verbose -o mn.mo mn.po
9 translated messages, 3 fuzzy translations.
msgfmt --statistics --verbose -o my.mo my.po
0 translated messages, 12 untranslated messages.

msgfmt --statistics --verbose -o si.mo si.po
0 translated messages, 12 untranslated messages.

msgfmt --statistics --verbose -o sq.mo sq.po
0 translated messages, 12 untranslated messages.
msgfmt --statistics --verbose -o vi.mo vi.po
9 translated messages, 3 fuzzy translations.
/var/tmp/system-config-keyboard-1.2.11-root/usr/share/applications/system-config-keyboard.desktop:
warning: The 'Application' category is not defined by the desktop entry
specification.  Please use one of "AudioVideo", "Audio", "Video", "Development",
"Education", "Game", "Graphics", "Network", "Office", "Settings", "System",
"Utility" instead

rpmlint says:

10.
E: system-config-keyboard obsolete-not-provided kbdconfig
E: system-config-keyboard obsolete-not-provided redhat-config-keyboard
W: system-config-keyboard unversioned-explicit-obsoletes kbdconfig
W: system-config-keyboard unversioned-explicit-obsoletes redhat-config-keyboard

Do these obsoletes still need to hang around?
                                                                        
11. 
W: system-config-keyboard conffile-without-noreplace-flag
/etc/pam.d/system-config-keyboard
W: system-config-keyboard conffile-without-noreplace-flag
/etc/security/console.apps/system-config-keyboard

Should those be noreplace?

12
W: system-config-keyboard no-documentation

I see there's a commented out doc and COPYING file in files section.
Any reason those were removed?

13.
E: system-config-keyboard script-without-shebang
/usr/share/system-config-keyboard/keyboard_tui.py
E: system-config-keyboard script-without-shebang
/usr/share/system-config-keyboard/keyboard_cli.py
E: system-config-keyboard script-without-shebang
/usr/share/system-config-keyboard/keyboard_gui.py
E: system-config-keyboard script-without-shebang
/usr/share/system-config-keyboard/keyboard_backend.py

Should all be mode 644?

14. 
W: system-config-keyboard symlink-should-be-relative
/usr/share/firstboot/modules/keyboard.py
/usr/share/system-config-keyboard/keyboard_gui.py

Use a relative symlink?

15. 
W: system-config-keyboard prereq-use gtk2 >= 2.6

Should gtk2 be a Requires(pre)? Or does it even need to be there?

E: system-config-keyboard no-cleaning-of-buildroot %install

already mentioned.  

17.
W: system-config-keyboard no-%build-section

Could add a dummy %build section?
The spec file does not contain a %build section.  Even if some packages
don't directly need it, section markers may be overridden in rpm's
configuration to provide additional "under the hood" functionality, such as
injection of automatic -debuginfo subpackages.  Add the section, even if
empty.

18. This package owns:
/usr/share/firstboot
/usr/share/firstboot/modules
Shouldn't firstboot own those instead? 
Comment 2 Kevin Fenzi 2007-08-05 15:22:16 EDT
Hey Paul. Have you had a chance to look at the items in comment #1?
Comment 3 Lubomir Kundrak 2007-11-20 05:32:49 EST
I'll look at this shortly.
Comment 4 Kevin Fenzi 2008-03-21 21:09:28 EDT
Any progress here Lubomir? 
Comment 5 Kevin Fenzi 2009-01-14 01:04:41 EST
Any news on this? If you would like me to look again since it's been so long, I would be happy to run through my checklist.
Comment 7 Cole Robinson 2015-02-11 15:39:12 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 8 Jan Kurik 2015-07-15 11:23:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 9 Fedora End Of Life 2016-11-24 05:21:40 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2016-12-20 07:00:22 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.